Message Queue, v4.5.1 API Specification

## com.sun.messaging.jms.management.server
Class TransactionAttributes

    java.lang.Object
      com.sun.messaging.jms.management.server.TransactionAttributes

    public class TransactionAttributes

extends Object

Class containing information on transaction attributes.

Field Summary
`static String` `NUM_TRANSACTIONS` Number of transactions.
`static String` `NUM_TRANSACTIONS_COMMITTED` Number of transactions that have been committed.
`static String` `NUM_TRANSACTIONS_ROLLBACK` Number of transactions that have been rolled back.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NUM_TRANSACTIONS

    public static final String NUM_TRANSACTIONS

  Number of transactions.

  See Also:
    Constant Field Values

### NUM_TRANSACTIONS_COMMITTED

    public static final String NUM_TRANSACTIONS_COMMITTED

  Number of transactions that have been committed.

  See Also:
    Constant Field Values

### NUM_TRANSACTIONS_ROLLBACK

    public static final String NUM_TRANSACTIONS_ROLLBACK

  Number of transactions that have been rolled back.

  See Also:
    Constant Field Values

Message Queue, v4.5.1 API Specification

Copyright (c) 2011, Oracle and/or its affiliates. All rights reserved.